60388: User display name not provided
VERIFY
ERROR
This error occurs when you create a Verify Passkeys Factor without the user display name needed for passkey registration. When you create a Passkeys Factor, friendly_name is required, and the returned registration options include publicKey.user.displayName.
- The request body for
POST /v2/Services/{ServiceSid}/Passkeys/Factorsdid not includefriendly_name. - Your application sent an empty or missing value for the field that should populate the passkey user's display name in the registration options.
- Your application used
identityas the only user value and did not provide a separate human-readable factor name.identityas an immutable external identifier andfriendly_nameas the human-readable value for the Factor.
- Include
friendly_nameandidentityin the JSON body when you create the Passkeys Factor. The Passkeys quickstart shows both values in the factor creation request. - Populate
friendly_namewith a human-readable value that helps distinguish the Factor. this field as a human-facing name for the Factor and the Passkeys response shows that value inpublicKey.user.displayName. - Keep your user-facing display text separate from
identity. Useidentityas an immutable identifier and send the human-readable label throughfriendly_namewhen you create the Factor. - Inspect the Factor creation response before you begin browser registration and confirm the returned
options.publicKey.user.displayNamecontains the expected value.